// SettingDlg.cpp : implementation file
//

#include "stdafx.h"
#include "UVod2.h"
#include "SettingDlg.h"


// CSettingDlg dialog

IMPLEMENT_DYNAMIC(CSettingDlg, CDialog)

CSettingDlg::CSettingDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CSettingDlg::IDD, pParent)
	, s_saveto(_T(""))
	, i_portchannel(0)
	, i_pasvchannel(0)
	, mb_single(FALSE)
	, mb_local(FALSE)
	, ms_website(_T(""))
	, mb_outsideplayer(FALSE)
	, ms_outsideplayer(_T(""))
	, mb_supportallplayer(FALSE)
{

}

CSettingDlg::~CSettingDlg()
{
}

void CSettingDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Control(pDX, IDC_STATICSAVEDIR, m_staticsaveto);
	DDX_Control(pDX, IDC_STATICCHANNEL, m_staticport);
	DDX_Control(pDX, IDC_STATICCHANNEL2, m_staticpasv);
	DDX_Control(pDX, IDC_CHECKSINGLEMODE, m_checksingle);
	DDX_Control(pDX, IDC_CHECKLOCALNET, m_checklocalnet);
	DDX_Control(pDX, IDC_EDITSAVETO, m_editsaveto);
	DDX_Control(pDX, IDC_EDITCHANNEL, m_editport);
	DDX_Control(pDX, IDC_EDITCHANNEL2, m_editpasv);
	DDX_Text(pDX, IDC_EDITSAVETO, s_saveto);
	DDX_Text(pDX, IDC_EDITCHANNEL, i_portchannel);
	DDV_MinMaxShort(pDX, i_portchannel, 0, 100);
	DDX_Text(pDX, IDC_EDITCHANNEL2, i_pasvchannel);
	DDV_MinMaxShort(pDX, i_pasvchannel, 0, 100);
	DDX_Check(pDX, IDC_CHECKSINGLEMODE, mb_single);
	DDX_Check(pDX, IDC_CHECKLOCALNET, mb_local);
	DDX_Control(pDX, IDC_BUTTONDIR, m_buttonfolder);
	DDX_Control(pDX, IDC_STATICCHANNEL3, m_staticwebsite);
	DDX_Control(pDX, IDC_EDITCHANNEL3, m_editwebsite);
	DDX_Text(pDX, IDC_EDITCHANNEL3, ms_website);
	DDX_Control(pDX, IDC_CHECKOUTSIDEPLAYER, m_checkoutsideplayer);
	DDX_Check(pDX, IDC_CHECKOUTSIDEPLAYER, mb_outsideplayer);
	DDX_Control(pDX, IDC_STATICOutSidePlayer, m_staticoutsideplayer);
	DDX_Control(pDX, IDC_EDITOUTSIDEPLAYER, m_editoutsideplayer);
	DDX_Text(pDX, IDC_EDITOUTSIDEPLAYER, ms_outsideplayer);
	DDX_Control(pDX, IDC_CHECKALLPLAYER, m_checkallplayer);
	DDX_Check(pDX, IDC_CHECKALLPLAYER, mb_supportallplayer);
}


BEGIN_MESSAGE_MAP(CSettingDlg, CDialog)
	ON_BN_CLICKED(IDC_BUTTONDIR, &CSettingDlg::OnBnClickedButtondir)
END_MESSAGE_MAP()


// CSettingDlg message handlers

BOOL CSettingDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// TODO:  Add extra initialization here
#ifdef CHINESE_VERSION
	this->m_staticpasv.SetWindowTextW(L"ͨ");
	this->m_staticport.SetWindowTextW(L"ͨ");
	this->m_staticsaveto.SetWindowTextW(L"ļĿ¼");
	this->m_checklocalnet.SetWindowTextW(L"ڲ");
	this->m_checksingle.SetWindowTextW(L"ģʽ[Է͸NAT]");
    this->m_buttonfolder.SetWindowTextW(L"ļ");
	this->m_staticwebsite.SetWindowTextW(L"Դվ"); 
	this->m_checkoutsideplayer.SetWindowTextW(L"ʹⲿ");
	this->m_staticoutsideplayer.SetWindowTextW(L"ָ");
	this->m_checkallplayer.SetWindowTextW(L"ǿʹⲿ");
#else
    
	

#endif



	return TRUE;  // return TRUE unless you set the focus to a control
	// EXCEPTION: OCX Property Pages should return FALSE
}

void CSettingDlg::OnBnClickedButtondir()
{
	// TODO: Add your control notification handler code here
	//ѡĿ¼
	CString fulldir;
 CString dispname;
   CString title;
   fulldir.Empty( );
#ifdef CHINESE_VERSION
   title=L"ѡĿ¼";
#else
   title=L"Please select directory";
#endif
  // lp=path.GetBuffer(_MAX_PATH+1);
   TCHAR path[_MAX_PATH+512];
   memset(path,0,(_MAX_PATH+512) * sizeof(TCHAR));
   BROWSEINFO bi={0};
    bi.hwndOwner=this->GetSafeHwnd( );
	bi.pidlRoot=NULL;
	bi.pszDisplayName=(LPTSTR)dispname.GetBuffer(_MAX_PATH+500);
	bi.lpszTitle=(LPCTSTR)title;
	bi.ulFlags=0;
	bi.lpfn=NULL;
	bi.lParam=NULL;

    	LPITEMIDLIST pidl;
		pidl=SHBrowseForFolder(&bi);
	bool bresult=false;

    if(SHGetPathFromIDList(pidl,path))
	{   

		fulldir=path;
		fulldir+=L"\\";
		
		while(fulldir.Replace(L"\\\\",L"\\"));
		
		bresult=true;
		
		
	}
	
	
    if(pidl)
	{
	IMalloc * imalloc=0;
	if(SUCCEEDED(SHGetMalloc(&imalloc)))
	{   
		try
		{
		imalloc->Free(pidl);
	    imalloc->Release( );
		}
		catch(...)
		{
		 
		}
	}
	
	}


	if(bresult) 
	{
		this->m_editsaveto.SetWindowTextW(fulldir);
	}
}
