#include "StdAfx.h"
#include "Mplayer.h"

#include <conio.h>
#define ZeroString(str) ZeroMemory (str, sizeof (str))

#define MP_MUST_PLAYING(errCode)               \
if (m_iStatus != STATUS_PLAY) {                \
   return (errCode);                          \
}


CMplayer::CMplayer(void)
{

  strcpy(m_strVout,"directx:noaccel");// "directx"); //֧DIRECTXٵ
  strcpy(m_strAout, "dsound");
  m_dwMessage       = WM_MFACE;
  m_hMPlayerProcess = INVALID_HANDLE_VALUE;
  m_hPipeRead       = INVALID_HANDLE_VALUE;
  m_hPipeWrite      = INVALID_HANDLE_VALUE;
  m_hNotifyWindow   = INVALID_HANDLE_VALUE;
  m_hDisplayWindow  = NULL;//INVALID_HANDLE_VALUE;
  m_hWorkingThread  = INVALID_HANDLE_VALUE;
  m_iVolume         = 100;
  m_iVerbose        = VERBOSE_ERR;
  ZeroString(m_strParam);
  ZeroString(m_strMediaPath);
  ZeroString(m_strWorkingPath);
  ZeroString(m_strOutParam);
  ResetStatus();
  //߳ûִ
  mb_threadactive=false;


}

CMplayer::~CMplayer(void)
{
	  if (m_iStatus != STATUS_STOP)
	  {
		Stop ();
	  }

}
void CMplayer::ResetStatus ()
{
  m_iStatus         = STATUS_STOP;
  m_bMute           = false;
  m_lfMediaLength   = 0.0;
  m_iVideoWidth     = 0;
  m_iVideoHeight    = 0;
  m_iPos            = 0;
  m_iAudioBitrate   = 0;
  m_lfFPS           = 0.0;
  m_iMetas          = 0;
  ZeroString (m_strVideoFormat);
  ZeroString (m_strAudioFormat);
  ZeroString (m_strDemuxer);
  ZeroString (m_strVideoCodec);
  ZeroString (m_strAudioCodec);
  ZeroString (m_strVersion);
  ZeroString (m_arryMetas);
  //ZeroString (m_strOutParam);
}

int CMplayer::Play()
{
  int ret;
  if (m_iStatus != STATUS_STOP)
  {
    Stop();
  }
  m_iStatus = STATUS_STARTING;
  ret = CreateMPlayerProcess ();
  if (ret)
  {
    m_iStatus = STATUS_STOP;
    return ret;
  }
  mb_threadactive=false;//߳û 
  m_hWorkingThread=(HANDLE)_beginthreadex(NULL,0,&CMplayer::WorkThread,(PVOID)this,0,NULL);
	  //CreateThread(0, 0,&CMplayer::WorkThread, (PVOID)this, 0, 0);
  if (!m_hWorkingThread)
  {
    //ERR (LOG_APP, Failed to create working thread!);
    Stop ();
    return 1;
  }
  //޸ĳѾ
   m_iStatus = STATUS_PLAY;  
  return 0;
}

int CMplayer::Stop()
{
  if (m_iStatus != STATUS_STOP)
  {
    m_iStatus = STATUS_STOPING;
    //Sleep (300); /* wait for work thread quit*/
	Sleep(200);
	for(int i=0;i<300;i++)
	{
		if(this->mb_threadactive) Sleep(50);//ȴ߳̽
		else break;
	}
   // SendCommand ("quit");
	 // this->m_sendlock.Lock( );
	  SendCommand ("quit");
	//  this->m_sendlock.Unlock( );//ͷ
	 
    KillMPlayer ();
  }
  else
  {
    //WARN (LOG_APP, Already stopped);
  }

  //ȴ߳̽
  return 0;
}

int CMplayer::Pause ()
{
  if (m_iStatus == STATUS_PLAY)
  {
    //DBG (LOG_APP, Pause);
    //SendCommand ("pause");
	// this->m_sendlock.Lock( );
	  SendCommand ("pause");
	//  this->m_sendlock.Unlock( );//ͷ   
    m_iStatus = STATUS_PAUSE;
  }
  else if (m_iStatus == STATUS_PAUSE)
  {
    //DBG (LOG_APP, Continue play);
   // SendCommand ("pause");
	// this->m_sendlock.Lock( );
	  SendCommand ("pause");
	//  this->m_sendlock.Unlock( );//ͷ   
    m_iStatus = STATUS_PLAY;
  }
  return 0;
}

int CMplayer::FullScreen ()
{
  MP_MUST_PLAYING (1);
  //SendCommand ("vo_fullscreen");
    //this->m_sendlock.Lock( );
	  SendCommand ("vo_fullscreen");
	 // this->m_sendlock.Unlock( );//ͷ
  return 0;
}

int CMplayer::GetVolume ()
{
  MP_MUST_PLAYING (0);
  return m_iVolume;
}

int CMplayer::SetVolume (int Vol)
{
  MP_MUST_PLAYING (1);
  char buf[256];
  if (Vol > 100) Vol = 100;
  if (Vol < 0)   Vol = 0;
  m_iVolume = Vol;
  sprintf (buf, "volume %d 1", Vol);
  //SendCommand (buf);
      //this->m_sendlock.Lock( );
	  SendCommand (buf);
	  //this->m_sendlock.Unlock( );//ͷ 
  m_bMute = false;
  return 0;
}

int CMplayer::GetMute ()
{
  MP_MUST_PLAYING (0);
  return m_bMute ? 1 : 0;
}

int CMplayer::SetMute(int Mute)
{
  MP_MUST_PLAYING (1);
  char buf[256];
  sprintf (buf, "mute %d", Mute?1:0);
  //SendCommand (buf);
       //this->m_sendlock.Lock( );
	  SendCommand (buf);
	 // this->m_sendlock.Unlock( );//ͷ
  m_bMute = Mute ? true : false;
  return 0;
}

int CMplayer::Snapshot ()
{
  MP_MUST_PLAYING (1);
  //SendCommand ("screenshot 0");
    //this->m_sendlock.Lock( );
	  SendCommand ("screenshot 0");
	 // this->m_sendlock.Unlock( );//ͷ
  return 0;
}

int CMplayer::GetTitle (char* buf, int nBuf)
{
  MP_MUST_PLAYING (1);
  return 1;
}

int CMplayer::GetAlbum (char* buf, int nBuf)
{
  MP_MUST_PLAYING (1);
  return 1;
}

int CMplayer::GetArtist (char* buf, int nBuf)
{
  MP_MUST_PLAYING (1);
  return 1;
}

int CMplayer::GetComment (char* buf, int nBuf)
{
  MP_MUST_PLAYING (1);
  return 1;
}

int CMplayer::GetGenre (char* buf, int nBuf)
{
  MP_MUST_PLAYING (1);
  return 1;
}

const int CMplayer::Seek (const int nPos)
{
  MP_MUST_PLAYING (1);
  char buf[256];
  sprintf (buf, "seek %d 2", nPos); //ƶһֵ
 // SendCommand (buf);
          //this->m_sendlock.Lock( );
	  SendCommand (buf);
	  //this->m_sendlock.Unlock( );//ͷ
  return 0;
}

void CMplayer::Log (int who, int level, const char * message, int line, const char* file)
{
  char* szWho[3]   = {"MPlayer", "Input", "App"};
  char* szLevel[3] = {"Debug", "Warning", "Error"};
  if (level >= m_iVerbose)
  {
    printf ("[%s] %s %s L%d: %s\n", szWho[who%3], szLevel[level%3], file, line, message);
  }
}

int CMplayer::CreateMPlayerProcess()
{

#ifdef _DEBUG
	::OutputDebugStringW(L"CreateMplyaer process function is called now\n");
#endif
  HANDLE h1, h2;
  SECURITY_ATTRIBUTES sa;
  PROCESS_INFORMATION pi;
  STARTUPINFO         si;
  char param [1600];
  char buf[256];

  //DBG (LOG_APP, "Creating MPlayer Process");
  strcpy (param, m_strMPlayerPath);
  strcat (param, " \"");

  strcat (param, m_strMediaPath);
  strcat (param, "\" ");
#ifdef _DEBUG
	::OutputDebugStringW(L"CreateMplyaer process function , now to check windows\n");
#endif
  if (m_hDisplayWindow != NULL/*INVALID_HANDLE_VALUE*/)
  {
    sprintf(buf, "-wid %d", (int)m_hDisplayWindow);
    strcat(param, buf);
    strcat(param, " ");
  }

  //sprintf (buf, "-vo %s -slave -quiet -identify -vf screenshot -ao %s", m_strVout, m_strAout);
  sprintf (buf, "-vo %s -slave -quiet -identify -ao %s", m_strVout, m_strAout);
  strcat (param, buf);


  strcat (param, " ");

  if(m_strParam[0]!='\0')
  {
  strcat (param, m_strParam);
   strcat (param, " ");
  }

  //ԼĶ
  if(this->m_strOutParam[0]!='\0')
  strcat(param,this->m_strOutParam);

  ZeroMemory (&sa, sizeof(sa));
  sa.nLength               = sizeof (sa);
  sa.bInheritHandle        = TRUE;
#ifdef _DEBUG
	::OutputDebugStringW(L"CreateMplyaer process function , now to create pipe 1\n");
#endif
  if (!CreatePipe(&m_hPipeRead, &h1, &sa,0))
  {
    //ERR (LOG_APP, Error createing pipe!);
    return GetLastError();
  }
#ifdef _DEBUG
	::OutputDebugStringW(L"CreateMplyaer process function, now to create pipe 2\n");
#endif
  if (!CreatePipe(&h2, &m_hPipeWrite, &sa, 0))
  {
    //ERR (LOG_APP, Error createing pipe!);
    return GetLastError();
  }

  ZeroMemory(&si, sizeof(si));
  si.dwFlags     = STARTF_USESHOWWINDOW | STARTF_USESTDHANDLES;
  si.wShowWindow = SW_HIDE;
  si.hStdInput   = h2;
  si.hStdOutput  = si.hStdError = h1;

  ZeroMemory(&pi, sizeof(pi));

  //汾GBKģʽ ҪĳUNICODEģʽ
 /* if (!CreateProcess (m_strMPlayerPath, param, 0, 0, TRUE, 0, 0,
    *m_strWorkingPath ? m_strWorkingPath : NULL, &si, &pi))
  {
    return GetLastError();
  }*/

  /*
   UNICODEʽ
  */

  char ubuff1[2048];
  memset(ubuff1,0,2048);
  char ubuff2[6000];
  memset(ubuff2,0,6000);
  char ubuff3[2048];
  memset(ubuff3,0,2048);

   MultiByteToWideChar(CP_UTF8, 0,m_strMPlayerPath,-1,(LPWSTR)ubuff1,1020);

 MultiByteToWideChar(CP_UTF8, 0,param,-1,(LPWSTR)ubuff2,2800);

   if(*m_strWorkingPath!='\0')
   {
    MultiByteToWideChar(CP_UTF8, 0,m_strWorkingPath,-1,(LPWSTR)ubuff3,1020);
   }
#ifdef _DEBUG
	::OutputDebugStringW(L"->CreateMplyaer process function , now to create process now\n");
	::OutputDebugStringW((wchar_t *)ubuff1);
	::OutputDebugStringW(L"\n");
	::OutputDebugStringW((wchar_t *)ubuff2);
	::OutputDebugStringW(L"\n");
	::OutputDebugStringW((wchar_t *)ubuff3);
	::OutputDebugStringW(L"\n\n");
#endif

if (!CreateProcessW((wchar_t *)ubuff1/*m_strMPlayerPath*/, (wchar_t *)ubuff2/*param*/, 0, 0, TRUE, 0, 0,
    *m_strWorkingPath ?((wchar_t *)ubuff3) : NULL, &si, &pi))
  {
    return GetLastError();
  }
#ifdef _DEBUG
	::OutputDebugStringW(L"CreateMplyaer process function , all done now , will return success \n");
#endif
  //-------------------------------------------
  
  CloseHandle (h1);
  CloseHandle (h2);
  CloseHandle (pi.hThread);
  m_hMPlayerProcess = pi.hProcess;
  //DBG (LOG_APP, MPlayer Started!);
  return 0;
}

const int CMplayer::CreateSnapshots (const char * szDir, int nInterval, int nCount)
{

//ֱע ΪUNICODE鷳

  //PROCESS_INFORMATION pi;
  //STARTUPINFO         si;
  //char param [1024];
  //char buf[256];
  //char curdir[256];

  //strcpy (param, m_strMPlayerPath);
  //strcpy (curdir, m_strMPlayerPath);
  //if(strrchr (curdir, '\\'))
  //{
  //  *strrchr (curdir, '\\') = 0;
  //}
  //strcat (param, " \"");
  //strcat (param, m_strMediaPath);
  //strcat (param, "\" ");

  //sprintf (buf, "-ao null -framedrop -frames %d -sstep %d -vo jpeg:outdir=\"%s\" ",
  //  nCount, nInterval, szDir);
  //strcat (param, buf);

  //ZeroMemory (&si, sizeof(si));
  //si.dwFlags     = STARTF_USESHOWWINDOW;
  //si.wShowWindow = SW_HIDE;
  //ZeroMemory (&pi, sizeof(pi));

  //if (!CreateProcess (m_strMPlayerPath, param,0,0,TRUE,0,0,curdir,&si,&pi))
  //{
  //  return GetLastError();
  //}
  ////DBG (LOG_APP, MPlayer Started!);
  //CloseHandle (pi.hThread);
  //if (WAIT_TIMEOUT == WaitForSingleObject (pi.hProcess, 20000))
  //{
  //  //DBG (LOG_APP, Timeout Terminate MPlayer!);
  //  TerminateProcess (pi.hProcess, 0);
  //  CloseHandle (pi.hProcess);
  //  return 1;
  //}
  //CloseHandle (pi.hProcess);
  ////DBG (LOG_APP, Finish Snapshots!);


  return 0;
}

int CMplayer::SendCommand (const char * szCommand)
{
  DWORD dwWriten;
  char buf[512];

  if (m_iStatus == STATUS_STOP || m_iStatus==STATUS_STOPING)
  {
    //WARN (LOG_APP, Send command when mplayer is stopped);
    return 1;
  }
  sprintf (buf, "%s\n", szCommand);
  //DBG (LOG_USER, buf);
  if (!WriteFile(m_hPipeWrite, buf, (int)strlen(buf), &dwWriten, NULL))
  {
    //ERR (LOG_APP, Error Writing Pipe!);
    KillMPlayer ();
    Notify (1);
    return 1;
  }
  return 0;
}
int CMplayer::SendCommandpub(const char * szCommand)
{
     // if(this->m_sendlock.TryLock( ))
	 // {
       SendCommand (szCommand);
	//  this->m_sendlock.Unlock( );//ͷ
	 // }
	  return 0;
}
void CMplayer::KillMPlayer ()
{
	TRACE("Kill MPLayer is called now\n");
  int delay = 1000;
  unsigned __int32 ret;

  //DBG (LOG_APP, Try to stop mplayer);
  ret = WaitForSingleObject (m_hMPlayerProcess, delay);
  if (ret == WAIT_TIMEOUT)
  {
   // DBG (LOG_APP, Terminate mplayer process);
    TerminateProcess (m_hMPlayerProcess, 0);
  }
 // DBG (LOG_APP, mplayer stopped);

//  Dont kill myself
//  DBG (LOG_APP, Try to stop working thread);
//  ret = WaitForSingleObject (m_hWorkingThread, delay);
//  if (ret == WAIT_TIMEOUT)
//  {
//    DBG (LOG_APP, Terminate working thread);
//    TerminateThread (m_hWorkingThread, 0);
//  }
//  DBG (LOG_APP, Working thread stopped);

  TRACE(L"Now will close handle process\n");
  CloseHandle (m_hMPlayerProcess);
  TRACE(L"Now will close handle of read pipe\n");
  CloseHandle (m_hPipeRead);
  TRACE(L"Now will close handle of write pipe\n");
  CloseHandle (m_hPipeWrite);
  TRACE(L"Now will call resetstatus...\n");
  ResetStatus ();
  TRACE(L"After resetstatus...\n");
 
}

unsigned __int32 WINAPI CMplayer::WorkThread (PVOID pThis)
{
  // just convert static member function to non-static function

  CMplayer* self = (CMplayer*)pThis;
  return self->WorkThreadFunc ();
}

unsigned __int32 CMplayer::WorkThreadFunc ()
{
 // DBG (LOG_APP, Work thread start);
  const int bufSize = 4096;
  const char* pMessage;
  char buf[bufSize + 1] = {0};
  const char seps[]   = "\r\n";
  //ǵģ߳Ѿ
   mb_threadactive=true;
  DWORD ret = 0, dwPeeked = 0, dwRead = 0;
  DWORD dwTime = 0;//::GetTickCount( );
  TRACE("Player now start..\n");
  while (m_iStatus != STATUS_STOPING)
  {
    /* Update current position */
	 // TRACE("Running .......\n");
    if(m_iStatus==STATUS_PAUSE)
	{
		//Ŀǰͣ״̬ ôҪκָ
		dwTime = GetTickCount ();
#ifdef _DEBUG
		
		TRACE("MPlayer found in status of pause , will skip send get_time_pos command\n");
#endif

	}
	else
	{
		if(GetTickCount() - dwTime > 500 || dwTime>::GetTickCount( ))
		{
		 // if(this->m_sendlock.TryLock( ))
		//  {
		  SendCommand ("get_time_pos");
		 // this->m_sendlock.Unlock( );//ͷ
		 // }
		  dwTime = GetTickCount ();
		}
	}

    ret = PeekNamedPipe (m_hPipeRead, NULL, 0, 0, &dwPeeked, 0);
    if (!ret)
    {
      if (m_iStatus == STATUS_STOPING)
      {
		  TRACE("Mplayer thread , found mplayer stopped will break\n");
        //Stopping, simply quit
        break;
      }
     // ERR (LOG_APP, Error peeking pipe!);
      KillMPlayer ();
      Notify (1);
      break;
    }
    if(dwPeeked)
    {
      if (dwPeeked > bufSize)
      {
        dwPeeked = bufSize;
      }
      ret = ReadFile (m_hPipeRead, buf, dwPeeked, &dwRead, 0);
      if(!ret)
      {
        if (m_iStatus == STATUS_STOPING)
        {
          //Stopping, simply quit
			TRACE("Player thread found mpalyer stoped , will break now\n");
          break;
        }
        //ERR (LOG_APP, Error reading pipe!);
        KillMPlayer ();
        Notify (1);
        break;
      }
      buf [dwRead] = 0;
      // TODO: consider a message not in one buffer
      pMessage = strtok (buf, seps );
      while (pMessage != NULL)
      {
        ProcessMessage (pMessage);
        pMessage = strtok( NULL, seps );
      }
      continue;
    }
    else
    {
      Sleep (100);
    }
  }
  //DBG (LOG_APP, Work thread about to quit);
  TRACE("Mplayer thread exit now\n");
 

mb_threadactive=false; //߳̽
  return 0;
}

const char* CMplayer::hasString (const char* szMsg, const char* style)
{
  int n =(int) strlen(style);
  if (_strnicmp(szMsg, style, n))
  {
    return NULL;
  }
  else
  {
    return szMsg+n;
  }
}

void CMplayer::ProcessMessage(const char * szMsg)
{
  //DBG (LOG_MPLAYER, szMsg);
  const char* pData;
 TRACE("szMsg=%s\n",szMsg);
  if (pData = hasString (szMsg, "MPlayer "))
  {
    //DBG (LOG_MPLAYER, szMsg);
    strncpy (m_strVersion, szMsg, sizeof (m_strVersion) - 1);
    return;
  }
  if (pData = hasString (szMsg, "ID_DEMUXER="))
  {
    //DBG (LOG_MPLAYER, szMsg);
    strncpy (m_strDemuxer, pData, sizeof (m_strDemuxer) - 1);
    return;
  }
  if (pData = hasString (szMsg, "ID_VIDEO_FORMAT="))
  {
    //DBG (LOG_MPLAYER, szMsg);
    strncpy (m_strVideoFormat, pData, sizeof (m_strVideoFormat) - 1);
    return;
  }
  if (pData = hasString (szMsg, "ID_VIDEO_CODEC="))
  {
    //DBG (LOG_MPLAYER, szMsg);
    strncpy (m_strVideoCodec, pData, sizeof (m_strVideoCodec) - 1);
    return;
  }
  if (pData = hasString (szMsg, "ID_AUDIO_FORMAT="))
  {
    //DBG (LOG_MPLAYER, szMsg);
    strncpy (m_strAudioFormat, pData, sizeof (m_strAudioFormat) - 1);
    return;
  }
  if (pData = hasString (szMsg, "ID_AUDIO_CODEC="))
  {
    //DBG (LOG_MPLAYER, szMsg);
    strncpy (m_strAudioCodec, pData, sizeof (m_strAudioCodec) - 1);
    return;
  }
  if (pData = hasString (szMsg, "ID_VIDEO_WIDTH="))
  {
   // DBG (LOG_MPLAYER, szMsg);
    m_iVideoWidth = atoi (pData);
    return;
  }
  if (pData = hasString (szMsg, "ID_VIDEO_HEIGHT="))
  {
  //  DBG (LOG_MPLAYER, szMsg);
    m_iVideoHeight = atoi (pData);
    return;
  }
  if (pData = hasString (szMsg, "ID_VIDEO_FPS="))
  {
  //  DBG (LOG_MPLAYER, szMsg);
    m_lfFPS = atof (pData);
    return;
  }
  if (pData = hasString (szMsg, "ID_AUDIO_BITRATE="))
  { 
	  //TRACE("szMsg=%s\n",szMsg);
  //  DBG (LOG_MPLAYER, szMsg);
    m_iAudioBitrate = atoi (pData);
    return;
  }
  if (pData = hasString (szMsg, "ID_LENGTH="))
  {
	   // TRACE("szMsg=%s\n",szMsg);
  //  DBG (LOG_MPLAYER, szMsg);
    m_lfMediaLength = atof (pData);
    return;
  }
  if (pData = hasString (szMsg, "Starting playback"))
  {
	  //ʵֵָ
	 // TRACE("szMsg=%s\n",szMsg);
 //   DBG (LOG_MPLAYER, szMsg);
	 // TRACE("szMsg=%s\n",szMsg);
    m_iStatus = STATUS_PLAY;
    SetVolume (m_iVolume);
    return;
  }
 // //˼ Ӣĺ
 // if (pData = hasString (szMsg, "ʼ...")) //Ϊİ ԻʾϢ 汾ѾӢİ ⷢ
 // {
	//  //ʵֵָ
	// // TRACE("szMsg=%s\n",szMsg);
 ////   DBG (LOG_MPLAYER, szMsg);
	// // TRACE("szMsg=%s\n",szMsg);
 //   m_iStatus = STATUS_PLAY;
 //   SetVolume (m_iVolume);
 //   return;
 // }
  if (pData = hasString (szMsg, "ANS_TIME_POSITION="))
  { 
	  //TRACE("szMsg=%s\n",szMsg);
 //   DBG (LOG_MPLAYER, szMsg);
	   // m_iStatus = STATUS_PLAY;
    m_iPos = atoi (pData);
    return;
  }
  if (pData = hasString (szMsg, "Exiting"))
  {
       //    DBG (LOG_MPLAYER, szMsg);
	   // TRACE("szMsg=%s\n",szMsg);
	   this->m_iStatus=STATUS_STOPING;
    return;
  }
//   if (pData = hasString (szMsg, "˳") )
//  {
////    DBG (LOG_MPLAYER, szMsg);
//	   // TRACE("szMsg=%s\n",szMsg);
//	  this->m_iStatus=STATUS_STOPING;
//    return;
//  } 
   if (pData = hasString (szMsg, "ID_EXIT"))
  {
//    DBG (LOG_MPLAYER, szMsg);
	   // TRACE("szMsg=%s\n",szMsg);
	  this->m_iStatus=STATUS_STOPING;
    return;
  } 

  if (pData = hasString (szMsg, "ID_CLIP_INFO_NAME"))
  {
	 // TRACE("szMsg=%s\n",szMsg);
 //   DBG (LOG_MPLAYER, szMsg);
    int n = atoi (pData);
    if (n >= MAX_META)
    {
//      WARN (LOG_APP, Reach max meta count!);
      return;
    }
    if (m_iMetas <= n)
    {
      m_iMetas = n + 1;
    }
    strncpy (m_arryMetas[n].name, pData+2, META_MAX_NAME_LEN);
    return;
  }
  if (pData = hasString (szMsg, "ID_CLIP_INFO_VALUE"))
  {
   // DBG (LOG_MPLAYER, szMsg);
    int n = atoi (pData);
    if (n >= MAX_META)
    {
     // WARN (LOG_APP, Reach max meta count!);
      return;
    }
    if (m_iMetas <= n)
    {
      m_iMetas = n + 1;
    }
    strncpy (m_arryMetas[n].value, pData+2, META_MAX_VALUE_LEN);
    return;
  }
}

void CMplayer::Notify (int param)
{
  if (m_hNotifyWindow != INVALID_HANDLE_VALUE)
  {
	  //ԭA
    PostMessageW((HWND)m_hNotifyWindow, m_dwMessage, param, 0);
  }
}
// ƶٷֱ
const int CMplayer::SeekPostion(const int iseekpos)
{
  MP_MUST_PLAYING (1);
  char buf[256];
  sprintf (buf, "seek %d 1", iseekpos);
  //SendCommand (buf);
   //   if(this->m_sendlock.TryLock( ))
	  //{
   //    SendCommand (buf);
	  //this->m_sendlock.Unlock( );//ͷ
	  //} 
      //        this->m_sendlock.Lock( );
	  SendCommand (buf);
	 // this->m_sendlock.Unlock( );//ͷ
  return 0;
}

// µĶָ
const void CMplayer::SetExtParameters(const char * pstr)
{
	if(pstr!=NULL)
	{
		strcpy_s(this->m_strOutParam,511,pstr);
	}
	return ;
}
